## hfsplus 1.0.4

=== debian/changelog ===
hfsplus (1.0.4-19) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS on s390x et al with gcc-14.
    Thanks to Dan Bungert (Closes: #1083059)

 -- Hilko Bengen <bengen@debian.org>  Tue, 18 Feb 2025 23:18:32 +0100

hfsplus (1.0.4-18) unstable; urgency=medium

  * QA upload.
  * Add patch to fix build failure with GCC 15 (Closes: #1096807)

 -- Hilko Bengen <bengen@debian.org>  Tue, 18 Feb 2025 01:21:43 +0100

hfsplus (1.0.4-17.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062338

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 08:51:47 +0000

hfsplus (1.0.4-17) unstable; urgency=medium

  * QA upload.
  * Remove watch file as upstream link has been dead for some time
  * Bump Standards-Version, Debhelper compat level
  * Add Lintian override

 -- Hilko Bengen <bengen@debian.org>  Sun, 08 Jan 2023 16:55:26 +0100

hfsplus (1.0.4-16) unstable; urgency=medium

  * QA upload.
  * Add patch to make fsck_data static, fixing FTBFS introduced by
    upgrading to GCC 10 (Closes: #957336)
  * Don't attempt building on non-Linux architectures
  * Update VCS-* fields to point to salsa.debian.org

 -- Hilko Bengen <bengen@debian.org>  Sun, 23 Aug 2020 15:50:33 +0200

hfsplus (1.0.4-15) unstable; urgency=medium

  * QA upload.
  * Add libhfsp0 symbols file.
  * Fix spelling errors found by lintian.
    Thanks to A. Costa for the patch (Closes: #547548).
  * debian/control:
    - Add Vcs-* fields, repository imported to collab-maint.
    - Remove duplicate section.
  * debian/rules:
    - Enable hardened building.
    - Replace dh_auto_clean override with d/clean entries.
    - Replace dh_auto_install override with d/install entry.
    - Remove unneeded dh_install / dh_strip overrides.
  * Remove unneeded debian/docs.
  * Add DEP3 headers to patches.
  * Convert copyright to DEP5 format.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 23 Jun 2016 00:31:49 +0200

hfsplus (1.0.4-14) unstable; urgency=medium

  * QA upload.
  * Modernize package: Debhelper 9 (Closes: #817494), quilt-based source
    format, dh-autoreconf, Standards-Version
  * Remove conflicting duplicate function definitions from .h files
  * Use printf macros, thanks to Laurent Vivier for his patch (Closes:
    #548257)

 -- Hilko Bengen <bengen@debian.org>  Mon, 20 Jun 2016 22:19:22 +0200

hfsplus (1.0.4-13) unstable; urgency=medium

  * QA upload.
    Set maintainer to "Debian QA Group <packages@qa.debian.org>".
    Cf. #677769
  * Fix "ftbfs with GCC-5": merge patch from Ubuntu/Matthias Klose:
    - Build with -fgnu89-inline (GCC 5).
    (Closes: #777902)
  * debian/control:
    - add ${misc:Depends} to Depends
    - replace old ${Source-Version} substvar
  * Drop empty usr/share/linda/overrides directory.

 -- gregor herrmann <gregoa@debian.org>  Sun, 19 Jul 2015 19:50:40 +0200

hfsplus (1.0.4-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to automake1.11. (Closes: #724389)

 -- Eric Dorland <eric@debian.org>  Sat, 15 Mar 2014 00:00:29 -0400

hfsplus (1.0.4-12) unstable; urgency=low

  * Fix possible future FTBFS by removing an unused header.
    Add 396180_remove_unused_header.dpatch.
    Thanks to Martin Pitt. (Closes: #396180)

 -- Aurélien GÉRÔME <ag@roxor.cx>  Mon, 30 Oct 2006 18:42:24 +0100

hfsplus (1.0.4-11) unstable; urgency=low

  * New maintainer. (Closes: #387337)
  * Update to the latest Standards-Version.
  * Update description in debian/control.
  * Add debian/compat to update debhelper to compatibility level 4.
  * Update Upstream URL in debian/copyright.
  * Add debian/watch.
  * Fix bashism in debian/rules. (Closes: #378358)
  * Conform to policy by building with CFLAGS="-O2 -g -Wall".
  * Add dpatch support.
  * The debian diff contained the following files generated by
    auto{header,conf,make} which were not removed after the build
    process:
    - doc/Makefile.in;
    - doc/Makefile;
    - libhfsp/src/Makefile.in;
    - libhfsp/test/.deps/test.Po;
    - libhfsp/test/Makefile.in;
    - libhfsp/test/Makefile;
    - libhfsp/Makefile.in;
    - config.h.in => run autoheader between aclocal and automake
      in debian/rules.
    Remove those files and add proper clean support for them.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Thu, 14 Sep 2006 05:12:33 +0200

hfsplus (1.0.4-10) unstable; urgency=low

  * Fixed problem on hpmount while trying to detect HFS+ volumes.
  	- Thanks to Piotr Krysiuk (Closes: #334016).

 -- David Moreno Garza <damog@debian.org>  Sun, 16 Oct 2005 03:01:26 -0500

hfsplus (1.0.4-9) unstable; urgency=low

  * Updated policy version.
  * New maintainer's address.

 -- David Moreno Garza <damog@debian.org>  Sun,  4 Sep 2005 19:34:59 -0500

hfsplus (1.0.4-8) unstable; urgency=low

  * Added another small patch by Andreas Jochens, fixing a build error
    with version 4.0 of gcc on ppc64 (closes: Bug#300289).

 -- Jens Schmalzing <jensen@debian.org>  Mon, 21 Mar 2005 09:22:38 +0100

hfsplus (1.0.4-7) unstable; urgency=low

  * Applied a small patch by Andreas Jochens, fixing a build error with
    the upcoming version 4.0 of gcc (closes: Bug#286366).

 -- Jens Schmalzing <jensen@debian.org>  Tue,  4 Jan 2005 15:19:02 +0100

hfsplus (1.0.4-6) unstable; urgency=low

  * Applied a small patch by Andreas Jochens, fixing a build error with
    the current version 3.4 of gcc (closes: Bug#277810).

  * Updated policy version.
  
  * Got rid of a number of empty directories.

 -- Jens Schmalzing <jensen@debian.org>  Fri, 22 Oct 2004 20:13:10 +0200

hfsplus (1.0.4-5) unstable; urgency=low

  * Patched the volume opening code to not write anything if the volume
    didn't open properly (closes: Bug#231270).  Thanks a lot to Frank
    Lichtenheld for the patch.

  * Run libtoolize in the configure stage of debian/rules.

  * Depend on automaken for building, not a specific version of automake.

 -- Jens Schmalzing <jensen@debian.org>  Sat, 20 Mar 2004 22:00:34 +0100

hfsplus (1.0.4-4) unstable; urgency=low


